@import '~antd/lib/style/themes/default.less';

@pro-header-hover-bg: rgba(0, 0, 0, 0.025);
// @pro-header-hover-bg: rgba(177, 7, 7, 0.719);

.fixedHeader {
    position: fixed;
    top: 0;
    right: 0;
    padding: 0;
    z-index: 9;
    background-color: #ffffff;
    width: 100%;
    transition: width 0.2s;
    box-shadow: 0 1px 4px rgba(0, 21, 41, 0.08);
  }

.header {
    position: relative;
    height: @layout-header-height;
    padding: 0;
    background: #fff;
    box-shadow: 0 1px 4px rgba(0, 21, 41, 0.08);
  }

  .trigger {
    height: @layout-header-height;
    padding: ~'calc((@{layout-header-height} - 20px) / 2)' 24px;
    font-size: 20px;
    cursor: pointer;
    transition: all 0.3s, padding 0s;
    &:hover {
      background: @pro-header-hover-bg;
    }
  }

  .menu {
    :global(.anticon) {
      margin-right: 8px;
    }
    :global(.ant-dropdown-menu-item) {
      min-width: 160px;
    }
  }
  
  .right {
    float: right;
    height: 100%;
    padding-right: 25px;
    overflow: hidden;    
    .action {
      display: inline-block;
      height: 100%;
      padding: 0 12px;
      cursor: pointer;
      transition: all 0.3s;
      > i {
        color: @text-color;
        vertical-align: middle;
      }
      &:hover {
        background: @pro-header-hover-bg;
      }
      &:global(.opened) {
        background: @pro-header-hover-bg;
      }
    }
    .search {
      padding: 0 12px;
      &:hover {
        background: transparent;
      }
    }
    .account {
      .avatar {
        margin: ~'calc((@{layout-header-height} - 24px) / 2)' 0;
        margin-right: 8px;
        color: @primary-color;
        vertical-align: top;
        background: rgba(255, 255, 255, 0.85);
      }
    }
  }


  .left-item{
    position: absolute;
    float: left;
    height: @layout-header-height;    
    padding-left: 30px;
    top: 25%; 
    bottom: 50%;
  }